Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031441
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] Z. Othersminoralways2015-11-06 10:382015-11-12 19:26
ReportermaiteView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionb2793ba35559
ProjectionnoneETAnoneTarget Version3.0PR15Q3.4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression levelProduction - Confirmed Stable
Regression date2014-09-23
Regression introduced in release3.0PR14Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/179d97ee602d [^]
Triggers an Emergency PackNo
Summary

0031441: Hover over Sender field in Match Statement pop-up only shows Business Partner Name instead of Business Partner Name and Descript

DescriptionBefore Match Statement refactor, if you hover over Sender field both bank statement line Business Partner Name and Description are shown
Steps To Reproduce1. Access Cuenta de Banco financial account, create new Bank Statement record
2. Add Bank Statement line seeting Business Partner Name as "name of my bp" and Description as "bsl description". Process bank statement
3. Run "Match Statement" process and hover over Sender field in your line. Realize that only "name of my bp" is shown

If you follow similar process in version prior to refactor (for example MP30.3) you can verify that both values are shown:

"name of my bp
 bsl description"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00313873.0PR16Q1 closedaferraz Hover over Sender field in Match Statement pop-up only shows Business Partner Name instead of Business Partner Name and Descript 

-  Notes
(0081786)
hgbot (developer)
2015-11-12 19:24

Repository: erp/backports/3.0PR15Q3.4
Changeset: b2793ba35559c366a2218a86747902aa9fef1657
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed Nov 11 20:01:21 2015 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR15Q3.4/rev/b2793ba35559c366a2218a86747902aa9fef1657 [^]

Fixes issue 31441 & Fixes issue 31443: Add two new columns in Match Statement

Added Business Partner Name and Transaction Description as new fields in Match Statement P&E window. They will not be shown in grid by default.
HQL Query in aprm_matchstatement table has been modified to retrieve this two new columns from FIN_BankStatementLine and FIN_Finacc_Transaction tables, and to retrieve bp.name as businessPartner also in case it is null.

---
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_COLUMN.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_FIELD.xml
M modules/org.openbravo.advpaymentmngt/src-db/database/sourcedata/AD_TABLE.xml
---
(0081792)
vmromanos (developer)
2015-11-12 19:26

Code review + testing OK

- Issue History
Date Modified Username Field Change
2015-11-12 10:14 aferraz Type defect => backport
2015-11-12 10:14 aferraz Target Version 3.0PR16Q1 => 3.0PR15Q3.5
2015-11-12 17:38 vmromanos Target Version 3.0PR15Q3.5 => 3.0PR15Q3.4
2015-11-12 19:24 hgbot Checkin
2015-11-12 19:24 hgbot Note Added: 0081786
2015-11-12 19:24 hgbot Status scheduled => resolved
2015-11-12 19:24 hgbot Resolution open => fixed
2015-11-12 19:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q3.4/rev/b2793ba35559c366a2218a86747902aa9fef1657 [^]
2015-11-12 19:26 vmromanos Review Assigned To => vmromanos
2015-11-12 19:26 vmromanos Note Added: 0081792
2015-11-12 19:26 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker